﻿using System.Web.Mvc;
using TwitterPractice.Models;


namespace TwitterPractice.Controllers
{
    public class HomeController : Controller
    {
        private static string title = "Twitter Practice!";
        private string requestTemplate;
        private TwitterModels _twitterModels;

        public HomeController()
            : base()
        {
            _twitterModels = new TwitterModels();
        }

        public ActionResult Index()
        {
            ViewBag.HasQsVars = (Request.QueryString.Keys.Count > 0);
            ViewBag.QueryString = Request.QueryString;
            ViewBag.Message = title;
            string username = Request.QueryString["username"];
            if (null == username)
            {
                ViewBag.UserTimeline = null;
                ViewBag.Username = null;
            }
            else
            {
                ViewBag.UserTimeline = _twitterModels.GetTwitterStream(username);
                ViewBag.Username = username;
            }    
            return View();
        }


    }
}
